Tools
Show a platform tool with its input schema
GET /v1/tools/{toolName} · SDK getTool · CLI deployments tool get
GET
Requires tools:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
toolName*stringLength
1 <= length <= 128x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ToolCatalogDetailResponse
application/json- response
approvalRequired*booleancategory*stringdefaultPolicyAction*stringValue in
"allow""deny""require_approval"description*stringeffect*stringValue in
"execute""read""write"name*stringpolicyBinding*|nullproviderKey?stringrequiredScopes*array<string>route*stringstatus*stringValue in
"active""archived"inputSchema?outputSchema?curl -X GET "https://example.com/v1/tools/string" \ -H "x-deployments-environment: string"{ "approvalRequired": true, "category": "string", "defaultPolicyAction": "allow", "description": "string", "effect": "execute", "name": "string", "policyBinding": "catalog", "providerKey": "string", "requiredScopes": [ "string" ], "route": "string", "status": "active", "inputSchema": { "property1": null, "property2": null }, "outputSchema": { "property1": null, "property2": null }}